Bug 1107800 - Review Request: dl_poly - General purpose classical molecular dynamics (MD) simulation
Review Request: dl_poly - General purpose classical molecular dynamics (MD) s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-10 12:25 EDT by Dave Love
Modified: 2015-03-10 12:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: dl_poly-1.9.20140324-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-08 18:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Love 2014-06-10 12:25:59 EDT
Spec URL: http://arc.liv.ac.uk/downloads/misc/SPECS/dl_poly.spec
SRPM URL: http://arc.liv.ac.uk/downloads/misc/SRPMS/dl_poly-1.9.20140324-1.el6.src.rpm
Description: 
DL_POLY Classic is a general purpose molecular dynamics simulation
package developed at Daresbury Laboratory by W. Smith, T.R. Forester
and I.T. Todorov.  It is based on the package DL_POLY_2, which was
originally developed by the Computational Chemistry Group, (CCG) at
Daresbury Laboratory under the auspices of the Engineering and
Physical Sciences Research Council (EPSRC) for (CCP5), the EPSRC's
Collaborative Computational Project for the Computer Simulation of
Condensed Phases.

DL_POLY Classic can be executed as a serial or a parallel application.
The code achieves parallelisation using the Replicated Data strategy
which is suitable for homogeneous, distributed-memory, parallel
computers.  The code is useful for simulations of up to 30,000 atoms
with good parallel performance on up to 100 processors, though in some
circumstances it can exceed or fail to reach these limits.

Fedora Account System Username: loveshack

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6926892
(from an srpm with only cosmetic differences)

I'm waiting for sponsorship, but thought I'd put this in for review to make sure
I've DTRT with an MPI package.
Comment 1 Orion Poplawski 2014-07-18 17:18:10 EDT
I'll take this.  Looks like the proper SRPM link is http://arc.liv.ac.uk/downloads/misc/SRPMS/dl_poly-1.9.20140324-1.src.rpm
Comment 2 Orion Poplawski 2014-07-18 18:24:01 EDT
The spec in the url is different from the src.rpm.  Please sync up.

Take a look at the java guidelines, you're missing some stuff there (requries jpackage-utils, 

- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 3143680 bytes in 7 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

- drop %defattr()

- Are you targeting EL5?  If not, you can also drop %clean and the rm -rf $RPM_BUILD_ROOT in %install

- I would consistently use the %{} form of macros for file paths.
Comment 3 Dave Love 2014-07-27 18:06:34 EDT
(In reply to Orion Poplawski from comment #2)
> The spec in the url is different from the src.rpm.  Please sync up.

Sorry, I'd forgotten to update this after I got fedorapeople space.
I've put new versions at

https://loveshack.fedorapeople.org/review/dl_poly-1.9.20140324-2.el6.src.rpm
https://loveshack.fedorapeople.org/review/dl_poly.spec

> Take a look at the java guidelines, you're missing some stuff there
> (requries jpackage-utils, 

I studied them, but I thought that got added automatically; clearly it
doesn't, at least in RH6.  I've added it.

> - Large documentation must go in a -doc subpackage. Large could be size
> (~1MB)
>   or number of files.
>   Note: Documentation size is 3143680 bytes in 7 files.
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

I thought the pdfs were a lot smaller than that -- I wonder why.  Anyway,
I added a doc package (common to the gui and other packages).

> - drop %defattr()
> 
> - Are you targeting EL5?  

Yes.  (That's what most of our users are still running it on.)

> If not, you can also drop %clean and the rm -rf
> $RPM_BUILD_ROOT in %install
> 
> - I would consistently use the %{} form of macros for file paths.

I've changed them, but it's more painful to type, and doesn't seem to be
required by any guidelines I can see.  Do you need to do the same with
shell variables?
Comment 4 Orion Poplawski 2014-12-08 23:39:43 EST
Sorry for dropping the ball on this.  In the meantime, mpich 3 has replace mpich2 in EL6, so that will need to be updated. 

The %{}/${} thing is stylistic and up to you.  I'm just giving you my suggestion.
Comment 5 Dave Love 2014-12-11 07:41:35 EST
Yes, I'd spotted the RHEL6.6 MPI disaster area...  There's a previous build for it
under http://copr.fedoraproject.org/coprs/loveshack/livhpc/build/60827/ but I'd
forgotten to sort out EPEL5.  I've dropped EPEL5 for now due to something having
apparently changed with debug packaging I don't understand.  The new version is
https://loveshack.fedorapeople.org/review/dl_poly-1.9.20140324-4.el6.src.rpm
but http://copr.fedoraproject.org/coprs/loveshack/livhpc/build/63266/ is taking
its time to start.

It's not worth spending time on without sponsorship, though.
Comment 6 Orion Poplawski 2014-12-11 13:35:30 EST
I'll sponsor you.  I'll try to look at the new version soon.
Comment 7 Orion Poplawski 2015-02-02 23:05:55 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'


While GUI.jar is being built, we like to see all jar files explicitly removed first in %prep.

- Drop %defattr(), no even needed in EL5.

- Need to use %optflags in build.
- Last changelog entry has name "root"
- GUI needs a .desktop file
- Use %{?_isa} in Requires.
-      Note: Invalid buildroot found:
     %{_tmppath}/%name-%{version}-%{release}-root-%(%{__id_u} -n)
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
- I don't think you need to duplicate the main description in all of the sub-packages
- Use %global

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 209 files have unknown license. Detailed output
     of licensecheck in
     /export/home/orion/fedora/1107800-dl_poly/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%name-%{version}-%{release}-root-%(%{__id_u} -n)
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dl_poly-
     common , dl_poly-doc , dl_poly-openmpi , dl_poly-mpich , dl_poly-gui
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define dobuild mkdir
     $MPI_COMPILER;make %{?_smp_mflags} build PAR=1 %{native};mv
     ../execute/DLPOLY.X $MPI_COMPILER/%{name}$MPI_SUFFIX
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

Java:
[x]: Packages are noarch unless they use JNI
     Note: dl_poly subpackage is not noarch. Please verify manually
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dl_poly-1.9.20140324-4.fc22.x86_64.rpm
          dl_poly-common-1.9.20140324-4.fc22.noarch.rpm
          dl_poly-doc-1.9.20140324-4.fc22.noarch.rpm
          dl_poly-openmpi-1.9.20140324-4.fc22.x86_64.rpm
          dl_poly-mpich-1.9.20140324-4.fc22.x86_64.rpm
          dl_poly-gui-1.9.20140324-4.fc22.noarch.rpm
          dl_poly-1.9.20140324-4.fc22.src.rpm
dl_poly.x86_64: W: spelling-error %description -l en_US Todorov -> Toreador
dl_poly.x86_64: W: spelling-error %description -l en_US parallelisation -> parallelism
dl_poly.x86_64: W: no-documentation
dl_poly.x86_64: W: no-manual-page-for-binary dl_poly
dl_poly-common.noarch: W: spelling-error %description -l en_US Todorov -> Toreador
dl_poly-common.noarch: W: spelling-error %description -l en_US parallelisation -> parallelism
dl_poly-common.noarch: W: devel-file-in-non-devel-package /usr/share/dl_poly/utility/readbin.c
dl_poly-common.noarch: W: devel-file-in-non-devel-package /usr/share/dl_poly/utility/decrypt.c
dl_poly-common.noarch: W: devel-file-in-non-devel-package /usr/share/dl_poly/utility/encrypt.c
dl_poly-doc.noarch: W: spelling-error %description -l en_US dl -> fl, d, l
dl_poly-doc.noarch: W: spelling-error %description -l en_US gui -> GUI, goo, gun
dl_poly-openmpi.x86_64: W: spelling-error %description -l en_US Todorov -> Toreador
dl_poly-openmpi.x86_64: W: spelling-error %description -l en_US parallelisation -> parallelism
dl_poly-openmpi.x86_64: W: no-documentation
dl_poly-mpich.x86_64: W: spelling-error %description -l en_US Todorov -> Toreador
dl_poly-mpich.x86_64: W: spelling-error %description -l en_US parallelisation -> parallelism
dl_poly-mpich.x86_64: W: no-documentation
dl_poly-gui.noarch: W: spelling-error %description -l en_US Todorov -> Toreador
dl_poly-gui.noarch: W: spelling-error %description -l en_US parallelisation -> parallelism
dl_poly-gui.noarch: W: no-manual-page-for-binary dl_poly_gui
dl_poly.src: W: spelling-error %description -l en_US Todorov -> Toreador
dl_poly.src: W: spelling-error %description -l en_US parallelisation -> parallelism
7 packages and 0 specfiles checked; 0 errors, 22 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
dl_poly-gui (rpmlib, GLIBC filtered):
    /bin/sh
    java
    jpackage-utils

dl_poly-mpich (rpmlib, GLIBC filtered):
    dl_poly-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libm.so.6()(64bit)
    libmpich.so.12()(64bit)
    libmpichf90.so.12()(64bit)
    libmpl.so.1()(64bit)
    libopa.so.1()(64bit)
    libpthread.so.0()(64bit)
    libquadmath.so.0()(64bit)
    librt.so.1()(64bit)
    mpich
    rtld(GNU_HASH)

dl_poly (rpmlib, GLIBC filtered):
    dl_poly-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libm.so.6()(64bit)
    libquadmath.so.0()(64bit)
    rtld(GNU_HASH)

dl_poly-doc (rpmlib, GLIBC filtered):

dl_poly-common (rpmlib, GLIBC filtered):

dl_poly-openmpi (rpmlib, GLIBC filtered):
    dl_poly-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libm.so.6()(64bit)
    libmpi.so.1()(64bit)
    libmpi_mpifh.so.2()(64bit)
    libmpi_usempi_ignore_tkr.so.0()(64bit)
    libmpi_usempif08.so.0()(64bit)
    libpthread.so.0()(64bit)
    libquadmath.so.0()(64bit)
    openmpi
    rtld(GNU_HASH)



Provides
--------
dl_poly-gui:
    dl_poly-gui

dl_poly-mpich:
    dl_poly-mpich
    dl_poly-mpich(x86-64)

dl_poly:
    dl_poly
    dl_poly(x86-64)

dl_poly-doc:
    dl_poly-doc

dl_poly-common:
    dl_poly-common

dl_poly-openmpi:
    dl_poly-openmpi
    dl_poly-openmpi(x86-64)



Source checksums
----------------
http://ccpforge.cse.rl.ac.uk/gf/download/frsrelease/255/4726/dl_class_1.9.tar.gz :
  CHECKSUM(SHA256) this package     : 7068a44b13cf95a0659b61a3b0e76bf469051e49cc7b70e7796a98cf0d02db9c
  CHECKSUM(SHA256) upstream package : 7068a44b13cf95a0659b61a3b0e76bf469051e49cc7b70e7796a98cf0d02db9c


Jar and class files in source
-----------------------------
./dl_class_1.9/java/GUI.jar
Comment 8 Dave Love 2015-02-06 11:42:44 EST
(In reply to Orion Poplawski from comment #7)
> - Bundled jar/class files should be removed before build

Done.

> - Drop %defattr(), no even needed in EL5.

Done.  It was there through following the instructions to use the
template.  Does it do any harm?

> - Need to use %optflags in build.

Done (sigh).  That requirement seems particularly unfortunate for
high-performance numerical code.

> - Last changelog entry has name "root"

Very odd.  Fixed, thanks.

> - GUI needs a .desktop file

Done as best I can tell.  I don't think I could find any instructions
originally.

> - Use %{?_isa} in Requires.

Done, but could confuse a stupid person, since the packages I looked
at originally didn't have it, and I don't remember seeing it in the
instructions.

> -      Note: Invalid buildroot found:
>      %{_tmppath}/%name-%{version}-%{release}-root-%(%{__id_u} -n)
>      See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

I don't understand why, but I've changed it to the preferred form.

> - I don't think you need to duplicate the main description in all of the
> sub-packages
> - Use %global

I'm confused as I thought that's what I had done.

It's a pity fedora-review doesn't work in EPEL.

Updates:
SRPM: https://loveshack.fedorapeople.org/review/dl_poly-1.9.20140324-5.el6.src.rpm
SPEC: https://loveshack.fedorapeople.org/review/dl_poly.spec

http://copr.fedoraproject.org/coprs/loveshack/livhpc/build/70718/ has
been pending a few hours, but I mocked the above OK.
Comment 9 Orion Poplawski 2015-02-06 12:10:57 EST
(In reply to Dave Love from comment #8)
> (In reply to Orion Poplawski from comment #7)
> > - Drop %defattr(), no even needed in EL5.
> 
> Done.  It was there through following the instructions to use the
> template.  Does it do any harm?

It could if there was a decision to change default ownership.  It's unneeded cruft in any case.  While it's in the /etc/rpmdevtools/spectemplate* files, rpmdev-newspec will remove it.  Or did you get a template from elsewhere?

> > - Need to use %optflags in build.
> 
> Done (sigh).  That requirement seems particularly unfortunate for
> high-performance numerical code.

You can add (some) options if you'd like.  In particular you're welcome to add "-ffast-math -funroll-loops".  I don't think anyone can rely on distro packages to get top performance though.

> > - Use %{?_isa} in Requires.
> 
> Done, but could confuse a stupid person, since the packages I looked
> at originally didn't have it, and I don't remember seeing it in the
> instructions.

I don't see this done, so to be explicit:

Requires:	openmpi%{?_isa}
Requires:       mpich%{?_isa}

> > - I don't think you need to duplicate the main description in all of the
> > sub-packages
> > - Use %global
> 
> I'm confused as I thought that's what I had done.

%define dobuild \
mkdir $MPI_COMPILER;\
make %{?_smp_mflags} build PAR=1 FFLAGS="-c %{optflags}" %{native};\
mv ../execute/DLPOLY.X $MPI_COMPILER/%{name}$MPI_SUFFIX

should be %global dobuild ...

> It's a pity fedora-review doesn't work in EPEL.

That is too bad.  Is there a bug filed against it?
Comment 10 Dave Love 2015-02-10 12:53:19 EST
(In reply to Orion Poplawski from comment #9)
> It could if there was a decision to change default ownership.  It's unneeded
> cruft in any case.  While it's in the /etc/rpmdevtools/spectemplate* files,
> rpmdev-newspec will remove it.  Or did you get a template from elsewhere?

It was from that via Emacs C-x C-f, but I realize it's an old version of devtools, but the latest that would install on RHEL6, since it's not in EPEL.

> You can add (some) options if you'd like.  In particular you're welcome to
> add "-ffast-math -funroll-loops".

I think the rules say you need to ask for a special exception.
-funroll-loops really should be in default FFLAGS.

> I don't think anyone can rely on distro packages to get top performance though.

In some cases I hope you can, but I'd at least hope to be able to rebuild with, say, -march=native added to xFLAGS.

> > > - Use %{?_isa} in Requires.
> > 
> > Done, but could confuse a stupid person, since the packages I looked
> > at originally didn't have it, and I don't remember seeing it in the
> > instructions.
> 
> I don't see this done, so to be explicit:

Apologies.  I was sure I had done it...

> > > - I don't think you need to duplicate the main description in all of the
> > > sub-packages
> > > - Use %global
> > 
> > I'm confused as I thought that's what I had done.
> 
> %define dobuild \
> mkdir $MPI_COMPILER;\
> make %{?_smp_mflags} build PAR=1 FFLAGS="-c %{optflags}" %{native};\
> mv ../execute/DLPOLY.X $MPI_COMPILER/%{name}$MPI_SUFFIX
> 
> should be %global dobuild ...

Oh, I see.  I think the build fragment was copied from the MPI instructions rather long ago; fixed.  I've modified some of the descriptions and summaries to be more in line with what I normally do now.

> > It's a pity fedora-review doesn't work in EPEL.
> 
> That is too bad.  Is there a bug filed against it?

I don't remember.  I don't know whether it's even supposed to work.

In haste, but I hope I updated correctly this time in

SRPM: https://loveshack.fedorapeople.org/review/dl_poly-1.9.20140324-6.el6.src.rpm
SPEC: https://loveshack.fedorapeople.org/review/dl_poly.spec
Comment 11 Dave Love 2015-02-11 09:17:45 EST
Bother; wrong _isa qualifications stopped it installing.

SRPM: https://loveshack.fedorapeople.org/review/dl_poly-1.9.20140324-7.el6.src.rpm
SPEC: https://loveshack.fedorapeople.org/review/dl_poly.spec
Comment 12 Orion Poplawski 2015-02-14 00:46:07 EST
(In reply to Dave Love from comment #10)
> (In reply to Orion Poplawski from comment #9)
> > It could if there was a decision to change default ownership.  It's unneeded
> > cruft in any case.  While it's in the /etc/rpmdevtools/spectemplate* files,
> > rpmdev-newspec will remove it.  Or did you get a template from elsewhere?
> 
> It was from that via Emacs C-x C-f, but I realize it's an old version of
> devtools, but the latest that would install on RHEL6, since it's not in EPEL.

Hmm, maybe that would be a good package for you to maintain EPEL :)

> > You can add (some) options if you'd like.  In particular you're welcome to
> > add "-ffast-math -funroll-loops".
> 
> I think the rules say you need to ask for a special exception.
> -funroll-loops really should be in default FFLAGS.

From https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags 

"Adding to and overriding or filtering parts of these flags is permitted if there's a good reason to do so; the rationale for doing so must be documented in the specfile."

So you're good to add them.  But I'd be very hesitant to remove any.

You're welcome to make the suggestion of adding -funroll-loops.
 
> > I don't think anyone can rely on distro packages to get top performance though.
> 
> In some cases I hope you can, but I'd at least hope to be able to rebuild
> with, say, -march=native added to xFLAGS.

But the build computer is quite likely very different than the one the code will run on, so -march=native will just break things.

Package looks good now, so APPROVED.
Comment 13 Dave Love 2015-02-16 11:46:36 EST
(In reply to Orion Poplawski from comment #12)

> From https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags 
> 
> "Adding to and overriding or filtering parts of these flags is permitted if
> there's a good reason to do so; the rationale for doing so must be
> documented in the specfile."
> 
> So you're good to add them.  But I'd be very hesitant to remove any.

Good.  I wonder if that's changed -- it's not how I remembered it.

> > In some cases I hope you can, but I'd at least hope to be able to rebuild
> > with, say, -march=native added to xFLAGS.
> 
> But the build computer is quite likely very different than the one the code
> will run on, so -march=native will just break things.

I meant I'd hope to be able to take the srpm and rebuild it for the local cluster,
but that looks out of context here.

> Package looks good now, so APPROVED.

Many thanks.
Comment 14 Dave Love 2015-02-17 05:46:06 EST
New Package SCM Request
=======================
Package Name: dl_poly
Short Description: General purpose classical molecular dynamics (MD) simulation
Upstream URL: http://www.ccp5.ac.uk/DL_POLY_CLASSIC/
Owners: loveshack
Branches: f20 f21 f22 el6 epel7
InitialCC:
Comment 15 Gwyn Ciesla 2015-02-17 08:51:49 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2015-02-19 17:21:26 EST
dl_poly-1.9.20140324-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dl_poly-1.9.20140324-7.el7
Comment 17 Fedora Update System 2015-02-19 17:25:45 EST
dl_poly-1.9.20140324-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dl_poly-1.9.20140324-7.fc20
Comment 18 Fedora Update System 2015-02-19 17:27:02 EST
dl_poly-1.9.20140324-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dl_poly-1.9.20140324-7.fc21
Comment 19 Fedora Update System 2015-02-20 12:17:11 EST
dl_poly-1.9.20140324-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dl_poly-1.9.20140324-9.el6
Comment 20 Fedora Update System 2015-02-20 15:41:11 EST
dl_poly-1.9.20140324-9.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 21 Fedora Update System 2015-02-22 10:40:04 EST
dl_poly-1.9.20140324-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dl_poly-1.9.20140324-10.el6
Comment 22 Fedora Update System 2015-03-08 18:46:01 EDT
dl_poly-1.9.20140324-7.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 23 Fedora Update System 2015-03-09 04:28:18 EDT
dl_poly-1.9.20140324-7.fc20 has been pushed to the Fedora 20 stable repository.
Comment 24 Fedora Update System 2015-03-09 04:34:00 EDT
dl_poly-1.9.20140324-7.fc21 has been pushed to the Fedora 21 stable repository.
Comment 25 Fedora Update System 2015-03-10 12:03:51 EDT
dl_poly-1.9.20140324-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.